Audio: Keine Eingabe- oder Ausgebegeräte gefunden.

Diese Seite verwendet Cookies. Durch die Nutzung unserer Seite erklären Sie sich damit einverstanden, dass wir Cookies setzen. Weitere Informationen

Hinweis: In dem Thema Audio: Keine Eingabe- oder Ausgebegeräte gefunden. gibt es 50 Antworten auf 6 Seiten. Der letzte Beitrag () befindet sich auf der letzten Seite.
  • Audio: Keine Eingabe- oder Ausgebegeräte gefunden.

    Ich mußte? OpenSuse neu installieren (siehe Boot Problem), was mich aber Wundert ist, was hier im Titel steht:

    Dieses Problem hatte Ich bisher nicht, nun aber kann Ich weder in YAST/Audio (angezeigt wird sowohl das Mainboard, als auch HDMI NICHT mehr USB Audio) und egal, ob Ich Pulsaaudio aktiviere oder auch nicht, der Fehler bleibt.
    In Systemeinstellungen/Multimedia erscheint nur "Default" (wenn Ich als Backend VLC einstelle, erscheinen 20? "Geräte", aber... Der Test über OpenSuse LIve, ging 100%.

    Wenn Ich, z.B. ein Video über "VLC" (Backend Gstreamer) abspiele, kommt der Ton über USB, aber KMIX zeigt, den im Titel angegebenen Fehler an. Am User liegt es nicht (sowohl Root, als auch ein Testuser ändert NIX).

    Woran kann das liegen?

    Dieser Beitrag wurde bereits 1 mal editiert, zuletzt von DariusBrewka ()

    Für den Inhalt des Beitrages 128855 haftet ausdrücklich der jeweilige Autor: DariusBrewka

  • 1. Pulseaudio läuft unter dem User, somit sind User und root 2 Paar Stiefel.

    2. Benutze pavucontrol um darin deine Ausgabe einzustellen:
    Pulseaudio: pavucontrol einstellen
    Links in dieser Signatur bitte zum Lesen anklicken!

    Code-Tags <<<Klick mich
    zypper <<<Klick mich
    Netzwerkprobleme <<<Klick mich

    Für den Inhalt des Beitrages 128858 haftet ausdrücklich der jeweilige Autor: Sauerland

  • Sauerland schrieb:

    2. Benutze pavucontrol um darin deine Ausgabe einzustellen:
    das habe Ich gestern auch versucht, aber es erscheint Folgendes start-pulseaudio-x11 in der Konsole als User gibt


    Quellcode

    1. Verbindungsfehler: Verbindung verweigert
    2. pa_context_new() fehlgeschlagen: Verbindung verweigert
    aus.
    Bilder
    • Screenshot_20190131_165825.png

      34,91 kB, 609×473, 12 mal angesehen

    Für den Inhalt des Beitrages 128865 haftet ausdrücklich der jeweilige Autor: DariusBrewka

  • Als User ausgeführt:

    Quellcode

    1. pavucontrol
    PS:
    Du meldest dich aber nicht grafisch als root an?

    Denn pulseaudio wird immer im User-Kontext gestartet.
    Links in dieser Signatur bitte zum Lesen anklicken!

    Code-Tags <<<Klick mich
    zypper <<<Klick mich
    Netzwerkprobleme <<<Klick mich

    Für den Inhalt des Beitrages 128868 haftet ausdrücklich der jeweilige Autor: Sauerland

  • Sauerland schrieb:

    Du meldest dich aber nicht grafisch als root an?
    was heißt das genau?

    wenn Ich pavucontrol in der shell, als user aufrufe, erscheint:

    Quellcode

    1. pavucontrol
    2. (pavucontrol:2849): Gtk-WARNING **: Theme parsing error: gtk.css:68:35: The style property GtkButton:child-displacement-x is deprecated and shouldn't be used anymore. It will be removed in a future version
    3. (pavucontrol:2849): Gtk-WARNING **: Theme parsing error: gtk.css:69:35: The style property GtkButton:child-displacement-y is deprecated and shouldn't be used anymore. It will be removed in a future version
    4. (pavucontrol:2849): Gtk-WARNING **: Theme parsing error: gtk.css:70:34: The style property GtkCheckButton:indicator-size is deprecated and shouldn't be used anymore. It will be removed in a future version
    5. (pavucontrol:2849): Gtk-WARNING **: Theme parsing error: gtk.css:71:36: The style property GtkCheckMenuItem:indicator-size is deprecated and shouldn't be used anymore. It will be removed in a future version
    6. (pavucontrol:2849): Gtk-WARNING **: Theme parsing error: gtk.css:73:46: The style property GtkScrolledWindow:scrollbars-within-bevel is deprecated and shouldn't be used anymore. It will be removed in a future version
    7. (pavucontrol:2849): Gtk-WARNING **: Theme parsing error: gtk.css:76:30: The style property GtkExpander:expander-size is deprecated and shouldn't be used anymore. It will be removed in a future version
    8. (pavucontrol:2849): Gtk-WARNING **: Theme parsing error: gtk.css:83:29: The style property GtkStatusbar:shadow-type is deprecated and shouldn't be used anymore. It will be removed in a future versio
    Alles anzeigen

    Für den Inhalt des Beitrages 128877 haftet ausdrücklich der jeweilige Autor: DariusBrewka

  • Sauerland schrieb:

    Bei mir funktioniert es ohne Probleme.......
    wie Ich erwähnt habe mußte Ich das System neu installieren (ggf. bestünde noch eine Andere Möglichkeit...), aber Ich ließ auch zu, das bei der Installation Updates gemacht werden. Die Live Version hat die Kernel Version 4.12.14-lp150.12.4-default, die nach der neuen Installation 4.12.14-lp150.12.45-default, vieleich liegt es daran?


    Sauerland schrieb:

    Mit welchem Benutzer meldest du dich in KDE/Plasma an?
    Als"Ich", d.h. in den YAST/Benutzereinstellungen habe Ich die Autostart ohne Abfrage des Passworts eingestellt.Manchmal muß Ich als als Root in den Desktop gehen (nach Neustart), da habe Ich bisher nur über die Konsole, als ROOR und startx geschafft, aber ggf. hilft es die Automatische Anmeldung abzuschalten?

    Für den Inhalt des Beitrages 128879 haftet ausdrücklich der jeweilige Autor: DariusBrewka

  • Habe das Automatische Login (ohne Abfrage das Passworts) abgeschaltet um so auch als Root / Desktop "einzuloggen", gebracht hat es aber nichts. Wenn ich anstatt "Phonon GStreamer" auf "Phonon VLC" in Systemeinstellungen/Multimedia/Audio&Video/Backend umschalte, gibt es, in der GerätePriorität unzählige Hardwaremöglichkeiten (AMD/Nvidia (HDMI)/USB...), anstatt nur "Default", aber in der Lautstärkeeinstelung "KMix" wird "keine Eingabe- oder Ausgabegeräte gefunden". Wenn Ich in YAST/Audio Pulseaudio abstelle (zum Testen) bringt es auch nichts.

    Für den Inhalt des Beitrages 128881 haftet ausdrücklich der jeweilige Autor: DariusBrewka

  • Poste:

    Quellcode

    1. zypper lr -d
    Und bitte immer incl. der kompletten Eingabezeile, das fehlt z.B. oben bei pavucontrol.
    Dann brauchst du auch nicht schreiben:

    wenn Ich pavucontrol in der shell, als user aufrufe, erscheint:
    Links in dieser Signatur bitte zum Lesen anklicken!

    Code-Tags <<<Klick mich
    zypper <<<Klick mich
    Netzwerkprobleme <<<Klick mich

    Für den Inhalt des Beitrages 128882 haftet ausdrücklich der jeweilige Autor: Sauerland

  • Sauerland schrieb:

    Poste: zypper lr -d


    Und bitte immer incl. der kompletten Eingabezeile, das fehlt z.B. oben bei pavucontrol.

    Brainfuck-Quellcode

    1. dariusbrewka@linux-11tv:~> zypper lr -d
    2. Repository-Prioritäten treten in Kraft: (Siehe 'zypper lr -P' für Details)
    3. 60 (erhöhte Priorität) : 1 Repository
    4. 99 (Standard-Priorität) : 9 Repositorys
    5. # | Alias | Name | Aktiviert | GPG-Überprüfung | Aktualisierung | Priorität | Typ | URI | Dienst
    6. ---+-------------------------------------+-----------------------------------------+-----------+-----------------+----------------+-----------+--------+--------------------------------------------------------------------------+-------
    7. 1 | download.nvidia.com-leap | nVidia Graphics Drivers | Ja | (r ) Ja | Ja | 99 | rpm-md | https://download.nvidia.com/opensuse/leap/15.0 |
    8. 2 | download.opensuse.org-non-oss | Haupt-Repository (NON-OSS) | Ja | (r ) Ja | Ja | 99 | rpm-md | http://download.opensuse.org/distribution/leap/15.0/repo/non-oss/ |
    9. 3 | download.opensuse.org-oss | Haupt-Repository (OSS) | Ja | (r ) Ja | Ja | 99 | rpm-md | http://download.opensuse.org/distribution/leap/15.0/repo/oss/ |
    10. 4 | download.opensuse.org-oss_1 | Haupt-Repository (Quellen) | Ja | (r ) Ja | Ja | 99 | rpm-md | http://download.opensuse.org/source/distribution/leap/15.0/repo/oss/ |
    11. 5 | download.opensuse.org-oss_2 | Hauptaktualisierungs-Repository | Ja | (r ) Ja | Ja | 99 | rpm-md | http://download.opensuse.org/update/leap/15.0/oss |
    12. 6 | http-download.opensuse.org-305ec4e2 | openSUSE:Leap:15.0:Update | Ja | ( p) Ja | Ja | 99 | NONE | http://download.opensuse.org/ports/update/leap/15.0/ |
    13. 7 | openSUSE-Leap-15.0-1 | openSUSE-Leap-15.0-1 | Nein | ---- | ---- | 99 | rpm-md | cd:///?devices=/dev/disk/by-id/ata-ASUS_BW-16D1HT_SIK93G2OD513 |
    14. 8 | openSUSE_Leap_15.0 | Kernel Stable | Ja | (r ) Ja | Ja | 99 | rpm-md | http://download.opensuse.org/repositories/X11:/XOrg/openSUSE_Leap_15.0/ |
    15. 9 | opensuse-guide.org-repo | Libdvdcss Repository | Ja | (r ) Ja | Ja | 99 | rpm-md | http://opensuse-guide.org/repo/openSUSE_Leap_15.0/ |
    16. 10 | packman.inode.at-suse | Packman Repository | Ja | (r ) Ja | Ja | 60 | rpm-md | http://packman.inode.at/suse/openSUSE_Leap_15.0/ |
    17. 11 | repo-debug | openSUSE-Leap-15.0-Debug | Nein | ---- | ---- | 99 | NONE | http://download.opensuse.org/debug/distribution/leap/15.0/repo/oss/ |
    18. 12 | repo-debug-non-oss | openSUSE-Leap-15.0-Debug-Non-Oss | Nein | ---- | ---- | 99 | NONE | http://download.opensuse.org/debug/distribution/leap/15.0/repo/non-oss/ |
    19. 13 | repo-debug-update | openSUSE-Leap-15.0-Update-Debug | Nein | ---- | ---- | 99 | NONE | http://download.opensuse.org/debug/update/leap/15.0/oss/ |
    20. 14 | repo-debug-update-non-oss | openSUSE-Leap-15.0-Update-Debug-Non-Oss | Nein | ---- | ---- | 99 | NONE | http://download.opensuse.org/debug/update/leap/15.0/non-oss/ |
    21. 15 | repo-source-non-oss | openSUSE-Leap-15.0-Source-Non-Oss | Nein | ---- | ---- | 99 | NONE | http://download.opensuse.org/source/distribution/leap/15.0/repo/non-oss/ |
    22. 16 | skypeforlinux | skypeforlinux | Ja | (r ) Ja | Ja | 99 | rpm-md | https://repo.skype.com/rpm/stable |
    Alles anzeigen

    Für den Inhalt des Beitrages 128912 haftet ausdrücklich der jeweilige Autor: DariusBrewka